Modbot Docs
APIAPI referenceAutoMod settings

Update AI topic

PUT/api/settings/automod/topics/{id}

Change an AI topic.

Needs the ManageSettings permission.

AuthorizationBearer <token>

An API key, made on Settings, API keys. Every key starts with mbk_.

In: header

Path Parameters

id*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X PUT "https://example.com/api/settings/automod/topics/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{    "name": null,    "instructions": null,    "sensitivity": null,    "enabled": true,    "targets": null,    "deleteMessage": true,    "timeoutMinutes": null  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "instructions": "string",  "sensitivity": "string",  "enabled": true,  "targets": [    "string"  ],  "deleteMessage": true,  "timeoutMinutes": null,  "setToActBy": null,  "setToActAt": null,  "stats": {    "flags": 0,    "dismissed": 0,    "confirmed": 0,    "byLanguage": null  },  "version": 0,  "acting": true,  "scope": {    "channelMode": "string",    "channels": [      "string"    ],    "exemptRoles": [      "string"    ],    "exemptRolesSkipFlag": true,    "exemptGroupRoles": null  },  "trial": null,  "paused": null,  "tests": {    "samples": 0,    "lastRunAt": null,    "lastRunModel": null,    "caught": null,    "shouldFlag": null,    "wronglyFlagged": null,    "passes": true  },  "contextMessages": 0,  "checkPictures": false,  "openReviewForEachFlag": false,  "groupBan": false,  "groupRemove": false}

Modbot is not endorsed by or affiliated with VRChat Inc. or Discord Inc. VRChat is a trademark of VRChat Inc. Discord is a trademark of Discord Inc. SteamVR is a trademark of Valve Corporation. Windows is a trademark of Microsoft Corporation. Docker is a trademark of Docker, Inc. PostgreSQL is a trademark of the PostgreSQL Community Association of Canada. Railway is a trademark of Railway Corp. Other names are trademarks of their respective owners; see Legal. Modbot and its logo are trademarks of the Modbot project. Open source under AGPL-3.0.